Subject: Re: [PATCH v3 RESEND 0/6] Add support for QMC HDLC

From: Herve Codina <[email-masked]>
Date: Mon, 12 Feb 2024 09:05:53 +0100

Hi all,

I duplicated patches in this series :(
My bad, I was mistaken in 'git format-patch'.

Can you consider only the "[PATCH v3 RESEND n/6]: xxxxxx" in this review.
The other patches ("RESEND PATCH v3") are the duplicated ones.

If ok I will send a clean v4 series.
Of course, if some modification are needed, I will also send a clean v4.

Let me know if a clean v4 is needed right now.

Sorry for this mistake.
Regards,
Hervé

On Mon, 12 Feb 2024 08:56:28 +0100
Herve Codina <[email-masked]> wrote:

> Hi,
> 
> Note: Resent this v3 series with missing maintainers added in CC.
> 
> This series introduces the QMC HDLC support.
> 
> Patches were previously sent as part of a full feature series and were
> previously reviewed in that context:
> "Add support for QMC HDLC, framer infrastructure and PEF2256 framer" [1]
> 
> In order to ease the merge, the full feature series has been split and
> needed parts were merged in v6.8-rc1:
>  - "Prepare the PowerQUICC QMC and TSA for the HDLC QMC driver" [2]
>  - "Add support for framer infrastructure and PEF2256 framer" [3]
> 
> This series contains patches related to the QMC HDLC part (QMC HDLC
> driver):
>  - Introduce the QMC HDLC driver (patches 1 and 2)
>  - Add timeslots change support in QMC HDLC (patch 3)
>  - Add framer support as a framer consumer in QMC HDLC (patch 4)
> 
> Compare to the original full feature series, a modification was done on
> patch 3 in order to use a coherent prefix in the commit title.
> 
> I kept the patches unsquashed as they were previously sent and reviewed.
> Of course, I can squash them if needed.
> 
> Compared to the previous iteration:
>   https://lore.kernel.org/linux-kernel/[email-masked]/
> this v3 series:
> - Remove 'inline' function specifier from .c file.
> - Fixed a bug introduced in the previous iteration.
> - Remove one lock/unlock sequence in the QMC HDCL xmit path.
> - Use bitmap_from_u64().
> 
> Best regards,
> Hervé
> 
> [1]: https://lore.kernel.org/linux-kernel/[email-masked]/
> [2]: https://lore.kernel.org/linux-kernel/[email-masked]/
> [3]: https://lore.kernel.org/linux-kernel/[email-masked]/
> 
> Changes v2 -> v3
>   - Patch 1
>     Remove 'inline' function specifier from .c file.
>     Fix a bug introduced when added WARN_ONCE(). The warn condition must
>     be desc->skb (descriptor used) instead of !desc->skb.
>     Remove a lock/unlock section locking the entire qmc_hdlc_xmit()
>     function.
> 
>   - Patch 5
>     Use bitmap_from_u64() everywhere instead of bitmap_from_arr32() and
>     bitmap_from_arr64().
> 
> Changes v1 -> v2
>   - Patch 1
>     Use the same qmc_hdlc initialisation in qmc_hcld_recv_complete()
>     than the one present in qmc_hcld_xmit_complete().
>     Use WARN_ONCE()
> 
>   - Patch 3 (new patch in v2)
>     Make bitmap_onto() available to users
> 
>   - Patch 4 (new patch in v2)
>     Introduce bitmap_off()
> 
>   - Patch 5 (patch 3 in v1)
>     Use bitmap_*() functions
> 
>   - Patch 6 (patch 4 in v1)
>     No changes
> 
> Changes compare to the full feature series:
>   - Patch 3
>     Use 'net: wan: fsl_qmc_hdlc:' as commit title prefix
> 
> Patches extracted:
>   - Patch 1 : full feature series patch 7
>   - Patch 2 : full feature series patch 8
>   - Patch 3 : full feature series patch 20
>   - Patch 4 : full feature series patch 27
> 
> Herve Codina (6):
>   net: wan: Add support for QMC HDLC
>   MAINTAINERS: Add the Freescale QMC HDLC driver entry
>   bitmap: Make bitmap_onto() available to users
>   bitmap: Introduce bitmap_off()
>   net: wan: fsl_qmc_hdlc: Add runtime timeslots changes support
>   net: wan: fsl_qmc_hdlc: Add framer support
> 
>  MAINTAINERS                    |   7 +
>  drivers/net/wan/Kconfig        |  12 +
>  drivers/net/wan/Makefile       |   1 +
>  drivers/net/wan/fsl_qmc_hdlc.c | 807 +++++++++++++++++++++++++++++++++
>  include/linux/bitmap.h         |   3 +
>  lib/bitmap.c                   |  45 +-
>  6 files changed, 874 insertions(+), 1 deletion(-)
>  create mode 100644 drivers/net/wan/fsl_qmc_hdlc.c
> 

-- 
Hervé Codina, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com